%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		gnome-tweak-tool
Version:	3.16.2
Release:	1
Summary:	A tool to customize advanced GNOME 3 options
Group:		Graphical desktop/GNOME
License:	GPLv3
URL:		http://live.gnome.org/GnomeTweakTool
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-tweak-tool-3.12.0-categories-for-g-c-c.patch
Patch1:		gnome-tweak-tool-3.15.90-autostart.patch
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	GConf2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)

Requires:	gnome-shell
Requires:	python-gi

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch GTK+ themes
* Switch icon themes
* Change
  - The user-interface and title bar fonts
  - Icons in menus and buttons
  - Behavior on laptop lid close
  - Shell font size
  - File manager desktop icons
  - Title bar click action
  - Shell clock to show date
  - Font hinting
  - Font anti-aliasing

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--build=%{_host}

%make

%install
%makeinstall_std

sed -i '/OnlyShowIn/s@Pantheon;@@g' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --delete-original			\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category="DesktopSettings"			\
  --add-category="X-GNOME-Settings-Panel"		\
  --add-category="X-GNOME-PersonalSettings"		\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_libexecdir}/gnome-tweak-tool-lid-inhibitor
%{python_sitelib}/gtweak
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/*/*/*/*
%{_datadir}/appdata/gnome-tweak-tool.appdata.xml


%changelog

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (76feb11) pack files
- (Tigro: c944137) update to 3.16.2

* Mon Apr 20 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (fa49343) update to 3.16.1

* Wed Mar 25 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (41609e3) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (bbe820d) update to 3.15.92

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.15.90-1
- (1fef94d) update to 3.15.90

* Fri Feb 13 2015 Tigro <ashejn@yandex-team.ru> 3.12.0-6
- (749e367) try to fix https://bugs.launchpad.net/ubuntu/+source/gnome-tweak-tool/+bug/1316289

* Tue Nov 18 2014 Tigro <ashejn@gmail.com> 3.12.0-5
- (902f639) change russian name

* Sat Oct 25 2014 Tigro <ashejn@gmail.com> 3.12.0-4
- (402bc9d) drop Pantheon from OnlyShowIn
- (Tigro: c743cf2) validate desktop file
- (Tigro: ee512c3) added some groups for control center

* Wed Oct 15 2014 Tigro <ashejn@gmail.com> 3.12.0-3
- (49bb821) added tweak tool into gnome control center

* Wed Oct 15 2014 Tigro <ashejn@gmail.com> 3.12.0-2
- (d0b29d7) drop old sources
- (Alex Burmashev: 1b28495) MassBuild#440: Increase release tag

* Tue May 06 2014 Tigro <ashejn@gmail.com> 3.12.0-1
- (43af64e) pack file
- (Tigro: 45e2f0e) added BR for gtk+
- (Tigro: 0d597fb) update to 3.12.0

* Fri Feb 14 2014 akdengi <alexander.kazancev@rosalab.ru> 3.8.1-1
- (060f042) update to 3.8.1

* Thu Nov 28 2013 Tigro <ashejn@gmail.com> 3.8.0-7
- (b535aca) update russian translations

* Tue Oct 29 2013 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.0-6
- (ba408b9) Added patch to increase size of comboboxes in the Typing tab

* Mon Oct 28 2013 Tigro <ashejn@gmail.com> 3.8.0-5
- (9d6feee) drop another line
- (Tigro: a13fcf7) fix release and drop ru.po

* Mon Oct 28 2013 Tigro <ashejn@gmail.com> 3.8.0-45
- (c272d77) enable resize function for tweak tool window

* Mon Oct 28 2013 Tigro <ashejn@gmail.com> 3.8.0-3
- (00a6d2d) drop old files
- (Tigro: a6d9990) Add patch to allow pref.js for system extensions (thanks to Ralph Bean)

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.0-2
- (4db69c1) sync to gnome38 branch

* Fri Feb 08 2013 Tigro <ashejn@gmail.com> 3.6.1-3
- (ca0880f) Drop lid close configuration options that are now handled by systemd

* Thu Feb 07 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.6.1-2
- (fdbf917) Added src file
- (Aleksey Yermakov: ef34d08) Changed icon theme verification mechanics to more compatable method.

* Tue Oct 30 2012 Arkady Shane <ashejn@gmail.com> 3.6.1-1
- (50d7a62) update to 3.6.1


